Package twisted :: Package protocols :: Module imap4 :: Class IClientAuthentication |
[frames | no frames]

## Class IClientAuthentication

    Interface --+
                |
               IClientAuthentication

Method Summary
| ``challengeResponse`(self, secret, challenge)` Generate a challenge response string
`str` | ``getName`(self)` Return an identifier associated with this authentication scheme.

Method Details

### challengeResponse(self, secret, challenge) Generate a challenge response string

### getName(self) Return an identifier associated with this authentication scheme. Returns: `str`

Generated by Epydoc 2.0 on Sat Oct 25 00:54:46 2003 | http://epydoc.sf.net